#!/bin/sh

clear
echo Plik instalacyjny programu XdeFactor by Michal Ociepka
echo Czy jestes nowym uzytkownikiem XdeFactor [y/n] ?
echo Jesli uaktualniasz poprzednia wersje nacisnij [n]
echo Jesli chcesz wyjsc nacisnij [q]
read ANSWER

new() {
	install -m 755 logo /usr/bin
	mkdir /etc/xdefactor
	chmod 750 /etc/xdefactor
	cp conf/* /etc/xdefactor
	mkdir /etc/xdefactor/archiwum
	cp environment /etc
	chown -R ksiegowy /etc/xdefactor
	chown -R ksiegowy /etc/xdefactor/*
	chgrp -R biuro /etc/xdefactor
	chgrp -R biuro /etc/xdefactor/*
	install -m 700 xdefactor_backup /usr/sbin
	install -m 755 src/xdefactor /usr/bin

	echo Wlasnie zainstalowalem XdeFactor w Twoim systemie!!
}

upgrade() {
	install -m 755 logo /usr/bin
	cp conf/autor /etc/xdefactor
	install -m 755 src/xdefactor /usr/bin
	chown root xdefactor_backup
	install -m 700 xdefactor_backup /usr/sbin
	
	echo Wlasnie ulepszylem poprzednia wersje XdeFactor
	
}

check_install() {
	case $ANSWER in
		y | Y)
			new
			;;
		n | N)
			upgrade
			;;
		q | Q)
			exit
			;;
		    *) 
			echo Nacisnij [y/n/q]
			read ANSWER
			check_install
			;;
	   
	esac
}
check_install

echo 'Dograc plik xdefactor.conf do /etc/xdefactor? (jest on dopiero od v0.9.4pre4) [Y/N]'
read ANSWER

install_xdefactor_conf(){
	install -m 750 -g biuro -o ksiegowy conf/xdefactor.conf /etc/xdefactor
	echo Wlasnie skopiowalem plik xdefactor.conf
}

check_xdefactor(){
	case $ANSWER in
		y | Y)
			install_xdefactor_conf
			;;
		n | N)
			echo Nie instaluje pliku xdefactor.conf
			;;
		q | Q)
			exit
			;;
		    *)  
			echo Nacisnij [y/n]
			read ANSWER
			check_xdefactor
			;;
	esac
}
check_xdefactor		


